<template>
    <div>
        <q-card flat bordered>

            <q-item class="bg-accent text-positive">
                <q-item-section avatar >
                    <q-avatar><img src="~assets/MarkPassFoto.jpg"></q-avatar>
                </q-item-section>

                <q-item-section >
                    <q-item-label >Mark Haberpursch</q-item-label>
                    <q-item-label class="text-positive" caption>JAVA BACKEND DEVELOPER / RIGGER</q-item-label>
                </q-item-section>
            </q-item>

            <q-separator />

            <cv-professional-profile-narrow></cv-professional-profile-narrow>

            <q-separator />

            <cv-employment-history></cv-employment-history>

            <q-separator />
            

            <q-card-section class="q-pa-none">
                <cv-languages></cv-languages>
            </q-card-section>

            <q-card-section horizontal>
                <cv-education></cv-education>
            </q-card-section>

            <q-separator />

            <q-card-section class="q-pa-none">
                <cv-contact></cv-contact>
            </q-card-section>

            <q-card-section class="bg-accent text-positive">
                <q-item clickable tag="a" target="_blank" href=https://vimeo.com/352815805/>
                    <q-item-section>
                        <q-item-label class="text-dark">showreel</q-item-label>
                    </q-item-section>
                </q-item>
            </q-card-section>

            <!-- <q-expansion-item :default-opened="false" class="bg-accent text-positive">
                <q-video :ratio="16/9" src="~assets/showreel_2019_compressed (1080p).mp4" />
            </q-expansion-item>
            
            <q-separator /> -->

            

        </q-card>
    </div>
  
</template>

<script>
import CvProfessionalProfileNarrow from 'src/components/CvProfessionalProfileNarrow.vue';
import CvEmploymentHistory from 'src/components/CvEmploymentHistory.vue';
import CvLanguages from 'src/components/CvLanguages.vue';
import CvEducation from 'src/components/CvEducation.vue';
import CvContact from 'src/components/CvContact.vue';

export default {
  name: 'CurriculumNarrow',
  components: { CvProfessionalProfileNarrow, CvEmploymentHistory, CvLanguages, CvEducation, CvContact },
}
</script>